Update a Zone
Updates a Zone
PATCH
/
api
/
v2
/
platform
/
zones
/
{id}
Update a Zone
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
name: 'EU',
description: 'All countries in the EU',
default_tax: true,
kind: 'state'
}
})
};
fetch('http://{defaultHost}/api/v2/platform/zones/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/zones/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"name": "EU",
"description": "All countries in the EU",
"default_tax": true,
"kind": "state"
}
}
'{
"data": {
"id": "120",
"type": "zone",
"attributes": {
"name": "EU",
"description": "The zone containing all EU countries",
"default_tax": false,
"zone_members_count": 0,
"created_at": "2022-11-08T19:36:10.716Z",
"updated_at": "2022-11-08T19:36:10.945Z",
"kind": "state"
},
"relationships": {
"zone_members": {
"data": []
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes
Body
application/json
Show child attributes
Show child attributes
Response
Record updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a Zone
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
name: 'EU',
description: 'All countries in the EU',
default_tax: true,
kind: 'state'
}
})
};
fetch('http://{defaultHost}/api/v2/platform/zones/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url http://{defaultHost}/api/v2/platform/zones/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"name": "EU",
"description": "All countries in the EU",
"default_tax": true,
"kind": "state"
}
}
'{
"data": {
"id": "120",
"type": "zone",
"attributes": {
"name": "EU",
"description": "The zone containing all EU countries",
"default_tax": false,
"zone_members_count": 0,
"created_at": "2022-11-08T19:36:10.716Z",
"updated_at": "2022-11-08T19:36:10.945Z",
"kind": "state"
},
"relationships": {
"zone_members": {
"data": []
}
}
}
}{
"error": "The access token is invalid"
}{
"error": "The resource you were looking for could not be found."
}{
"error": "Name can't be blank",
"errors": {
"name": [
"can't be blank"
]
}
}
